combined_analysis <-
function (counttables, filelist, combinedheaders, id, kset, rankbybeta = FALSE, 
    initialize_collapsed = FALSE) 
{
    if (!is.null(counttables)) {
        exprs = filenames = matrix("", 1, 5)
        filenames[1, 1] = "countplot.png"
        filenames[1, 2] = "countplot.ebayes.png"
        filenames[1, 3] = "countplot.rsvar.png"
        filenames[1, 4] = "countplot.rsvar.ebayes.png"
        filenames[1, 5] = "countplot.evar.png"
        if (rankbybeta) 
            filenames = cbind(filenames, "countplot.beta.png")
        exprs[1, 1] = "ruv_toprankcountplot(counttables$countmat, counttables$kset, counttables$thresholds)"
        exprs[1, 2] = "ruv_toprankcountplot(counttables$countmat.ebayes, counttables$kset, counttables$thresholds)"
        exprs[1, 3] = "ruv_toprankcountplot(counttables$countmat.rsvar, counttables$kset, counttables$thresholds)"
        exprs[1, 4] = "ruv_toprankcountplot(counttables$countmat.rsvar.ebayes, counttables$kset, counttables$thresholds)"
        exprs[1, 5] = "ruv_toprankcountplot(counttables$countmat.evar, counttables$kset, counttables$thresholds)"
        if (rankbybeta) 
            exprs = cbind(exprs, "ruv_toprankcountplot(counttables$countmat.beta, counttables$kset, counttables$thresholds)")
        headers = c("standard", "ebayes", "rsvar", "rsvar ebayes", 
            "evar")
        if (rankbybeta) 
            headers = c(headers, "betahat")
        hdynamicplotmat("Top-ranked Count Plots", paste(id, "krankcount", 
            sep = ""), exprs, filenames, headers = headers, dir = id, 
            initialize_collapsed = initialize_collapsed)
    }
    filemat = matrix("", length(kset), length(filelist))
    for (i in 1:nrow(filemat)) for (j in 1:ncol(filemat)) {
        filemat[i, j] = paste("<img src=\"", id, "/", id, "k", 
            kset[i], filelist[j], "\" alt=\"image\" />", sep = "")
    }
    filemat = cbind(kset, filemat)
    hdynamictablemat("Combined Diagnostic Plots", paste(id, "combined", 
        sep = ""), filemat, headers = c("K", combinedheaders), 
        initialize_collapsed = initialize_collapsed)
}
