create_my_ruv_template <-
function (complexity = c("standard", "simpler", "simplest"), 
    filenames = c("my_ruv.R", "my_ruv_plots_and_tables.R", "my_ruv_script.R")) 
{
    if (sum(file.exists(filenames)) > 0) 
        warning("One of the template files already exists.  Aborted.")
    else {
        for (filename in filenames) {
            cat("", file = filename)
        }
        if (complexity[1] == "standard") 
            my_ruv = readLines(paste(system.file(package = "ruv.extras"), 
                "howto/my_ruv/my_ruv.R", sep = "/"))
        else if (complexity[1] == "simpler") 
            my_ruv = readLines(paste(system.file(package = "ruv.extras"), 
                "howto/my_ruv/my_ruv_simpler.R", sep = "/"))
        else if (complexity[1] == "simplest") 
            my_ruv = readLines(paste(system.file(package = "ruv.extras"), 
                "howto/my_ruv/my_ruv_simplest.R", sep = "/"))
        else stop("Incorrect value for argument: complexity")
        my_plots = readLines(paste(system.file(package = "ruv.extras"), 
            "howto/my_ruv/my_ruv_plots_and_tables.R", sep = "/"))
        my_script = readLines(paste(system.file(package = "ruv.extras"), 
            "howto/my_ruv/my_ruv_script.R", sep = "/"))
        for (textline in my_ruv) cat(textline, "\n", file = filenames[1], 
            append = TRUE)
        for (textline in my_plots) cat(textline, "\n", file = filenames[2], 
            append = TRUE)
        for (textline in my_script) cat(textline, "\n", file = filenames[3], 
            append = TRUE)
    }
}
