ruv2toprankcounttables <-
function (Y, X, ctl, pctl, Z = 1, eta = NULL, fullW = NULL, l = 1, 
    bin = 10, thresholds = c(20, 40, 60, 80, 100), kset = c(0:20, 
        2 * (11:25), 5 * (11:20), 10 * (11:100)), rankset = NULL, 
    inputcheck = TRUE) 
{
    if (inputcheck) 
        inputcheck1(Y, X, Z, ctl)
    Y = RUV1(Y, eta, ctl)
    m = nrow(Y)
    if (is.null(Z)) 
        q = 0
    else if (length(Z) == 1) 
        q = 1
    else q = ncol(Z)
    kset = kset[kset < m - q - 1]
    kset = kset[kset < sum(ctl)]
    kn = length(kset)
    threshn = length(thresholds)
    if (is.null(rankset)) 
        rankset = rep(TRUE, ncol(Y))
    countmat = countmat.ebayes = countmat.rsvar = countmat.rsvar.ebayes = countmat.evar = countmat.beta = matrix(0, 
        kn, threshn)
    fullW = RUV2(Y, X, ctl, 0, Z = Z, eta = eta, inputcheck = FALSE)$fullW
    for (ki in 1:kn) {
        ruv2fit = RUV2(Y, X, ctl, kset[ki], Z = Z, eta = eta, 
            fullW = fullW, inputcheck = FALSE)
        ruv2fit = variance_adjust(ruv2fit, bin = bin)
        countmat[ki, ] = as.vector(ruv_toprankcount(ruv2fit$p[l, 
            rankset], pctl[rankset], thresholds))
        countmat.ebayes[ki, ] = as.vector(ruv_toprankcount(ruv2fit$p.ebayes[l, 
            rankset], pctl[rankset], thresholds))
        countmat.rsvar[ki, ] = as.vector(ruv_toprankcount(ruv2fit$p.rsvar[l, 
            rankset], pctl[rankset], thresholds))
        countmat.rsvar.ebayes[ki, ] = as.vector(ruv_toprankcount(ruv2fit$p.rsvar.ebayes[l, 
            rankset], pctl[rankset], thresholds))
        countmat.evar[ki, ] = as.vector(ruv_toprankcount(ruv2fit$p.evar[l, 
            rankset], pctl[rankset], thresholds))
        countmat.beta[ki, ] = as.vector(ruv_toprankcount(-abs(ruv2fit$betahat[l, 
            rankset]), pctl[rankset], thresholds))
    }
    return(list(countmat = countmat, countmat.ebayes = countmat.ebayes, 
        countmat.rsvar = countmat.rsvar, countmat.rsvar.ebayes = countmat.rsvar.ebayes, 
        countmat.evar = countmat.evar, countmat.beta = countmat.beta, 
        kset = kset, thresholds = thresholds))
}
