ruv_cancorplot <-
function (X, W1, W2 = NULL, col = c(1, 3), xlab = "K", ylab = "cancor(X,W)^2", 
    ...) 
{
    K = ncol(W1)
    cc1 = rep(0, K)
    if (!is.null(W2)) 
        cc2 = rep(0, ncol(W2))
    for (k in 1:K) {
        cc1[k] = cancor(X, W1[, 1:k, drop = FALSE])$cor[1]^2
        if (!is.null(W2)) {
            if (k <= ncol(W2)) 
                cc2[k] = cancor(X, W2[, 1:k, drop = FALSE])$cor[1]^2
        }
    }
    plot(1:K, cc1, col = col[1], xlab = xlab, ylab = ylab, ylim = c(0, 
        1), ...)
    if (!is.null(W2)) 
        points(1:ncol(W2), cc2, col = col[2], ...)
}
