ruv_factor_projectionplot <-
function (fullfit, k, factor, l = 1, coloring = NULL, coloring_order = NULL, 
    symbols = NULL, texts = NULL, ...) 
{
    if (k == 0) 
        keepindex = NULL
    else keepindex = 1:k
    if (factor <= k) 
        keepindex = keepindex[-factor]
    x = fullfit$alpha[factor, ]
    y = as.vector(fullfit$byx[l, ])
    if (length(keepindex) > 0) 
        y = y - as.vector(fullfit$bwx[l, keepindex, drop = FALSE] %*% 
            fullfit$alpha[keepindex, , drop = FALSE])
    slope = fullfit$bwx[l, factor]
    linex = c(min(x), max(x))
    liney = linex * slope
    xlabel = paste("Factor", factor)
    if (k == 0) 
        ylabel = expression(b[YX])
    else ylabel = bquote(Adjusted ~ b[YX] ~ ~(K ~ "=" ~ .(k)))
    ruv_niceplot(x, y, coloring = coloring, coloring_order = coloring_order, 
        symbols = symbols, texts = texts, xlab = xlabel, ylab = ylabel, 
        ...)
    lines(linex, liney, col = "black")
}
