ruv_niceplot <-
function (x, y, coloring = NULL, coloring_order = NULL, symbols = NULL, 
    texts = NULL, symbol_overwrite = TRUE, ...) 
{
    n = length(y)
    plot(c(min(x), max(x)), c(min(y), max(y)), col = 0, ...)
    if (is.null(coloring)) 
        coloring = rep(1, n)
    if (length(coloring) == 1) 
        coloring = rep(coloring, n)
    coloring[is.na(coloring)] = 8
    if (is.null(coloring_order)) 
        coloring_order = get_coloring_order(coloring)
    if (is.null(symbols)) 
        symbols = rep(1, n)
    if (length(symbols) == 1) 
        symbols = rep(symbols, n)
    symbols[is.na(symbols)] = 1
    if (!is.null(texts)) {
        textsx = x[!is.na(texts)]
        textsy = y[!is.na(texts)]
        textscoloring = coloring[!is.na(texts)]
        if (symbol_overwrite) {
            x = x[is.na(texts)]
            y = y[is.na(texts)]
            coloring = coloring[is.na(texts)]
            symbols = symbols[is.na(texts)]
        }
        texts = texts[!is.na(texts)]
    }
    cn = length(coloring_order)
    for (i in 1:cn) {
        if (sum(coloring == coloring_order[i]) > 0) 
            points(x[coloring == coloring_order[i]], y[coloring == 
                coloring_order[i]], col = coloring_order[i], 
                pch = symbols[coloring == coloring_order[i]])
        if (!is.null(texts)) 
            if (sum(textscoloring == coloring_order[i]) > 0) 
                text(textsx[textscoloring == coloring_order[i]], 
                  textsy[textscoloring == coloring_order[i]], 
                  labels = texts[textscoloring == coloring_order[i]], 
                  col = coloring_order[i])
    }
}
