ruv_pcgridplot <-
function (W1, W2 = NULL, kset = c(1, 2, 3), coloring = NULL, 
    coloring_order = NULL, symbols = NULL, texts = NULL, symbol_overwrite = TRUE, 
    ...) 
{
    kn = length(kset)
    par(mfrow = c(kn, kn))
    for (i in 1:kn) {
        for (j in 1:kn) {
            if (i == j) {
                if (i == 1) 
                  controlvsfulllabelplot(1)
                else if (i < kn) 
                  controlvsfulllabelplot(2)
                else controlvsfulllabelplot(3)
            }
            if (j > i) {
                ruv_niceplot(W1[, i], W1[, j], coloring = coloring, 
                  coloring_order = coloring_order, symbols = symbols, 
                  texts = texts, symbol_overwrite = symbol_overwrite, 
                  xlab = paste("Factor", i), ylab = paste("Factor", 
                    j), cex.lab = 1.5, ...)
            }
            if (j < i) {
                if (!is.null(W2)) 
                  ruv_niceplot(W2[, j], W2[, i], coloring = coloring, 
                    coloring_order = coloring_order, symbols = symbols, 
                    texts = texts, symbol_overwrite = symbol_overwrite, 
                    xlab = paste("Factor", j), ylab = paste("Factor", 
                      i), cex.lab = 1.5, ...)
                else frame()
            }
        }
    }
    par(mfrow = c(1, 1))
}
