ruv_pvalplot <-
function (pvals, l = 1, logged = FALSE, coloring = NULL, coloring_order = NULL, 
    symbols = NULL, texts = NULL, small_cutoff = -Inf, ...) 
{
    if (is.matrix(pvals)) 
        pvals = pvals[l, ]
    n = length(pvals)
    x = 1:n
    neworder = order(pvals)
    y = pvals[neworder]
    if (!is.null(coloring)) 
        coloring = coloring[neworder]
    if (!is.null(symbols)) 
        symbols = symbols[neworder]
    if (!is.null(texts)) 
        texts = texts[neworder]
    if (logged) {
        x = log(x)
        y = log(y)
        x = x[y > small_cutoff]
        coloring = coloring[y > small_cutoff]
        if (!is.null(symbols)) 
            symbols = symbols[y > small_cutoff]
        if (!is.null(texts)) 
            texts = texts[y > small_cutoff]
        y = y[y > small_cutoff]
        xlabel = "Log Rank"
        ylabel = "Log P-value"
        ruv_niceplot(x, y, coloring = coloring, coloring_order = coloring_order, 
            symbols = symbols, texts = texts, xlab = xlabel, 
            ylab = ylabel, ...)
    }
    else {
        xlabel = "Rank"
        ylabel = "P-value"
        ruv_niceplot(x, y, coloring = coloring, coloring_order = coloring_order, 
            symbols = symbols, texts = texts, xlab = xlabel, 
            ylab = ylabel, ylim = c(0, 1), ...)
    }
}
