ruv_summarymatstats <-
function (Y, X, ctl, Z = 1, eta = NULL, k = NULL, lambda = NULL, 
    l = 1, getk = TRUE, inputcheck = TRUE) 
{
    if (inputcheck) 
        inputcheck1(Y, X, Z, ctl)
    Y = RUV1(Y, eta, ctl)
    m = nrow(Y)
    n = ncol(Y)
    p = ncol(X)
    if (is.null(Z)) 
        q = 0
    else if (length(Z) == 1) 
        q = 1
    else q = ncol(Z)
    statmat = matrix(0, m - q - p + 3, n)
    rownames(statmat) = c(as.character(0:(m - q - p - 1)), "k", 
        "i", "r")
    colnames(statmat) = colnames(Y)
    statvect = rep(0, m - q - p + 3)
    names(statvect) = rownames(statmat)
    rval = list(beta = statmat, sigma2 = statmat, df = statvect, 
        multiplier = statvect)
    extract = function() {
        rval$beta[kappa, ] <<- fit$betahat[l, ]
        rval$sigma2[kappa, ] <<- fit$sigma2
        rval$df[kappa] <<- fit$df
        rval$multiplier[kappa] <<- fit$multiplier[l, ]
    }
    if (!is.null(k)) 
        khat = k
    else if (getk) 
        khat = getK(Y, X, ctl, Z = Z, inputcheck = FALSE)$k
    else khat = NULL
    kappa = "0"
    fit = RUV4(Y, X, ctl, 0, Z = Z, inputcheck = FALSE)
    extract()
    rval$k = khat
    fullW0 = fit$fullW0
    for (K in 1:(m - q - 2)) {
        kappa = as.character(K)
        fit = RUV4(Y, X, ctl, K, Z = Z, fullW0 = fullW0, inputcheck = FALSE)
        extract()
        if (!is.null(khat)) 
            if (K == khat) {
                kappa = "k"
                extract()
            }
    }
    kappa = "i"
    fit = RUVinv(Y, X, ctl, Z = Z, fullW0 = fullW0, inputcheck = FALSE)
    extract()
    kappa = "r"
    if (is.null(lambda)) 
        fit = RUVrinv(Y, X, ctl, Z = Z, fullW0 = fullW0, k = khat, 
            inputcheck = FALSE)
    else if (lambda != 0) 
        fit = RUVrinv(Y, X, ctl, Z = Z, fullW0 = fullW0, lambda = lambda, 
            inputcheck = FALSE)
    extract()
    return(rval)
}
