ruv_summaryplot <-
function (c1, c2, t1, t2, K, czlim = NULL, tzlim = NULL) 
{
    t1 = log(t1)
    t2 = log(t2)
    if (is.null(czlim)) 
        czlim = c(min(c1, c2), max(c1, c2))
    if (is.null(tzlim)) 
        tzlim = max(abs(t1), abs(t2)) * c(-1, 1)
    maxk = nrow(c1) - 4
    m = maxk + 3
    b = c(1, 1, 2, nrow(c1) - 3, nrow(c1) - 2, nrow(c1))
    basicgrid = matrix(1:9, 3, 3)
    layoutmat = matrix(0, 6, 7)
    layoutmat[1:3, 1] = 1
    layoutmat[4:6] = 2
    layoutmat[1:3, 2:4] = basicgrid + 2
    layoutmat[1:3, 5:7] = basicgrid + 11
    layoutmat[4:6, 2:4] = basicgrid + 20
    layoutmat[4:6, 5:7] = basicgrid + 29
    layout(layoutmat, widths = c(1.5, 1, 7, 1.5, 1, 7, 1.5), 
        heights = c(1, 7, 1.5, 1, 7, 1.5))
    ccolors = rgb(c(seq(0, 1, length = 256), seq(1, 1, length = 128), 
        seq(1, 0.5, length = 48), seq(0.5, 0, length = 48)), 
        c(seq(0, 0, length = 256), seq(0, 1, length = 128), seq(1, 
            1, length = 48), seq(1, 1, length = 48)), c(seq(0, 
            0, length = 256), seq(0, 0, length = 128), seq(0, 
            0, length = 48), seq(0, 1, length = 48)))
    clevels = seq(czlim[1], czlim[2], length = length(ccolors))
    tcolors = rgb(c(seq(1, 1, length = 256), seq(1, 0, length = 256)), 
        c(seq(0, 1, length = 256), seq(1, 0, length = 256)), 
        c(seq(0, 1, length = 256), seq(1, 1, length = 256)))
    tlevels = seq(tzlim[1], tzlim[2], length = length(tcolors))
    cimage = function(x) {
        image(1:ncol(x), 1:nrow(x), t(x[nrow(x):1, , drop = FALSE]), 
            col = ccolors, xlab = "", ylab = "", axes = FALSE, 
            zlim = czlim)
    }
    timage = function(x) {
        image(1:ncol(x), 1:nrow(x), t(x[nrow(x):1, , drop = FALSE]), 
            col = tcolors, xlab = "", ylab = "", axes = FALSE, 
            zlim = tzlim)
    }
    subblock = function(x, ximage) {
        par(mar = c(1, 2.5, 3, 1))
        ximage(x[b[1]:b[2], b[1]:b[2], drop = FALSE])
        axis(2, at = c(1), labels = c(0), las = 2, cex.axis = 2)
        axis(3, at = c(1), labels = c(0), las = 0, cex.axis = 2)
        par(mar = c(1, 2.5, 1, 1))
        ximage(x[b[3]:b[4], b[1]:b[2], drop = FALSE])
        axis(2, at = c(1, m - 2 - K, maxk), labels = c(maxk, 
            K, 1), las = 2, cex.axis = 2)
        par(mar = c(3, 2.5, 1, 1))
        ximage(x[b[5]:b[6], b[1]:b[2], drop = FALSE])
        axis(2, at = c(3:1), labels = c("k", "i", "r"), las = 2, 
            cex.axis = 2)
        par(mar = c(1, 1, 3, 1))
        ximage(x[b[1]:b[2], b[3]:b[4], drop = FALSE])
        axis(3, at = c(1, K, maxk), labels = c(1, K, maxk), las = 0, 
            cex.axis = 2)
        par(mar = c(1, 1, 1, 1))
        ximage(x[b[3]:b[4], b[3]:b[4], drop = FALSE])
        lines(c(0, m - 2), c(1, 1) * (m - 2 - K), lty = 1)
        lines(c(1, 1) * K, c(0, m - 2), lty = 1)
        par(mar = c(3, 1, 1, 1))
        ximage(x[b[5]:b[6], b[3]:b[4], drop = FALSE])
        par(mar = c(1, 1, 3, 2.5))
        ximage(x[b[1]:b[2], b[5]:b[6], drop = FALSE])
        axis(3, at = c(1:3), labels = c("k", "i", "r"), las = 0, 
            cex.axis = 2)
        par(mar = c(1, 1, 1, 2.5))
        ximage(x[b[3]:b[4], b[5]:b[6], drop = FALSE])
        par(mar = c(3, 1, 1, 2.5))
        ximage(x[b[5]:b[6], b[5]:b[6], drop = FALSE])
    }
    par(mar = c(3, 3.5, 2.5, 3))
    image(1, clevels, matrix(data = clevels, ncol = length(clevels), 
        nrow = 1), col = ccolors, xlab = "", ylab = "", xaxt = "n", 
        cex.axis = 2)
    par(mar = c(3, 3.5, 2.5, 3))
    image(1, tlevels, matrix(data = tlevels, ncol = length(tlevels), 
        nrow = 1), col = tcolors, xlab = "", ylab = "", xaxt = "n", 
        cex.axis = 2)
    subblock(c1, cimage)
    subblock(c2, cimage)
    subblock(t1, timage)
    subblock(t2, timage)
    layout(1)
}
