ruv_summarytables <-
function (Y, X, ctl, pctl, Z = 1, eta = NULL, k = NULL, lambda = NULL, 
    l = 1, bin = 10, thresholds = c(20, 40, 60, 80, 100), rankset = NULL) 
{
    m = nrow(Y)
    n = ncol(Y)
    if (is.null(Z)) 
        q = 0
    else if (length(Z) == 1) 
        q = 1
    else q = ncol(Z)
    threshn = length(thresholds)
    sumstats = ruv_summarymatstats(Y, X, ctl, Z = Z, eta = eta, 
        k = k, lambda = lambda, l = l)
    summarymat = matrix(0, m - q + 2, m - q + 2)
    rownames(summarymat) = c(as.character(0:(m - q - 2)), "k", 
        "i", "r")
    colnames(summarymat) = rownames(summarymat)
    rval = list()
    rval$T = list(standard = summarymat, evar = summarymat)
    rval$C = list()
    for (i in 1:threshn) rval$C[[as.character(thresholds[i])]] = rval$T
    if (is.null(rankset)) 
        rankset = rep(TRUE, n)
    pctlrs = pctl[rankset]
    for (k1 in rownames(summarymat)) for (k2 in rownames(summarymat)) {
        se.std = sqrt(sumstats$sigma2[k2, ] * sumstats$multiplier[k1])
        se.evar = sqrt(get_empirical_variances(sumstats$sigma2[k2, 
            ], sumstats$beta[k1, ], bin = bin))
        rval$T$standard[k1, k2] = median(abs(sumstats$beta[k1, 
            ]/se.std))/qt(0.75, df = sumstats$df[k2])
        rval$T$evar[k1, k2] = median(abs(sumstats$beta[k1, ]/se.evar))/qnorm(0.75)
        pctlrsstd = pctlrs[order(-abs(sumstats$beta[k1, ]/se.std)[rankset])]
        pctlrsevar = pctlrs[order(-abs(sumstats$beta[k1, ]/se.evar)[rankset])]
        for (i in 1:threshn) {
            rval$C[[i]]$standard[k1, k2] = sum(pctlrsstd[1:thresholds[i]])
            rval$C[[i]]$evar[k1, k2] = sum(pctlrsevar[1:thresholds[i]])
        }
    }
    rval$k = sumstats$k
    return(rval)
}
