ruv_topprojectionplot <-
function (byx, alpha, bwx, pvals, l = 1, cutoffs = c(15, 40, 
    75, 150, 300), topcolors = c("blueviolet", "royalblue", "seagreen1", 
    "orange", "orange4"), rankset = NULL, ...) 
{
    if (is.matrix(pvals)) 
        pvals = pvals[l, ]
    n = length(pvals)
    if (is.null(rankset)) 
        rankset = rep(TRUE, n)
    neworder = order(pvals)
    neworder = neworder[rankset[neworder]]
    cutoffs = cutoffs[cutoffs < length(neworder)]
    topcolors = topcolors[1:length(cutoffs)]
    coloring = rep(NA, n)
    texts = rep(NA, n)
    for (i in length(topcolors):1) coloring[neworder[1:cutoffs[i]]] = topcolors[i]
    texts[neworder[1:cutoffs[1]]] = as.character(1:cutoffs[1])
    ruv_projectionplot(byx, alpha, bwx, l = l, coloring = coloring, 
        texts = texts, symbols = 20, ...)
}
