ruv_topranktable <-
function (pvals, beta = NULL, rankby = NULL, info = NULL, N = 40, 
    l = 1, rankset = NULL) 
{
    if (is.matrix(pvals)) 
        pvals = pvals[l, ]
    n = length(pvals)
    if (is.null(rankset)) 
        rankset = rep(TRUE, n)
    if (is.null(rankby)) 
        neworder = order(pvals)
    else neworder = order(rankby)
    topindices = neworder[rankset[neworder]][1:N]
    adjp = p.adjust(pvals, method = "BH")
    if (!is.null(beta)) 
        beta = as.character(signif(beta, 2))
    tableinfo = cbind(rank = 1:N, cbind(p = as.character(signif(pvals, 
        1)), BH = as.character(signif(adjp, 1)), beta, t(info))[topindices, 
        ])
    return(tableinfo)
}
