ruv_varianceplot <-
function (fit, varbetahat = NULL, trans = fourthroot, l = 1, 
    coloring = NULL, coloring_order = NULL, symbols = NULL, texts = NULL, 
    xlab = "trans(sigma^2 hat)", ylab = "trans(betahat^2)", ...) 
{
    x = fit$sigma2
    y = as.vector(fit$betahat[l, ]^2)
    neworder = order(x)
    if (!is.null(coloring)) 
        coloring = coloring[neworder]
    if (!is.null(symbols)) 
        symbols = symbols[neworder]
    if (!is.null(texts)) 
        texts = texts[neworder]
    x = trans(x[neworder])
    y = trans(y[neworder])
    ruv_niceplot(x, y, coloring = coloring, coloring_order = coloring_order, 
        symbols = symbols, texts = texts, xlab = xlab, ylab = ylab, 
        ...)
    if (!is.null(varbetahat)) {
        varbetahat = trans(varbetahat[neworder])
        lines(x, varbetahat, col = "black")
    }
}
