\name{ruv_cancorplot}
\alias{ruv_cancorplot}

\title{
RUV canonical correlation plot
}

\description{
  Create a canonical correlation plot (for use in the RUV package).
}

\usage{
ruv_cancorplot(X, W1, W2 = NULL, col = c(1, 3), xlab = "K", ylab = "cancor(X,W)^2", ...)
}
\arguments{
  \item{X}{
    The factor(s) of interest.
}
  \item{W1}{
    The estimated factors when all features are used.
}
  \item{W2}{
    The estimated factors when control features are used.
}
  \item{col}{
    The colors to plot for W1 and W2, respectively.
}
  \item{xlab}{
    The x-axis label.
}
  \item{ylab}{
    The y-axis label.
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}

