\name{ruv_niceplot}
\alias{ruv_niceplot}

\title{
  RUV "nice" plot
}

\description{
  A wrapper for the plot function especially useful for generating plots in the RUV package.
}

\usage{
ruv_niceplot(x, y, coloring = NULL, coloring_order = NULL, symbols = NULL, texts = NULL, symbol_overwrite = TRUE, ...)
}

\arguments{
  \item{x}{
    The x-coordinates of the points to be plotted.
}
  \item{y}{
    The y-coordinates of the points to be plotted.
}
  \item{coloring}{
    A vector of length n.  The colors to plot.
}
  \item{coloring_order}{
    The order in which different colored features should be plotted.
}
  \item{symbols}{
    A vector of length n.  The plot symbols to use.
}
  \item{texts}{
    A vector of length n.  Any text to be used in place of symbols.  Elements that are NA are plotted as symbols.
}
  \item{symbol_overwrite}{
    Should the plot symbol be removed when text is being plotted at the point?
}
  \item{\dots}{
    Any other graphical parameters.
}
}


\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}



