\name{ruv_pcgridplot}
\alias{ruv_pcgridplot}

\title{
RUV PC grid plot
}

\description{
Creates a grid of plots of one PC vs another.
}

\usage{
ruv_pcgridplot(W1, W2 = NULL, kset = c(1, 2, 3), coloring = NULL, coloring_order = NULL, symbols = NULL, texts = NULL, symbol_overwrite = TRUE, ...)
}
\arguments{
  \item{W1}{
    A matrix with m rows.  The PCs of all of the features.
}
  \item{W2}{
    A matrix with m rows.  The PCs of just the control features.
}
  \item{kset}{
    Which PCs (columns) should be included in the plots.
}
  \item{coloring}{
    A vector of length m.  The colors to plot.
}
  \item{coloring_order}{
    The order in which different colored features should be plotted.    
}
  \item{symbols}{
    A vector of length m.  The plot symbols to use.
}
  \item{texts}{
    A vector of length m.  Any text to be used in place of symbols.  Elements that are NA are plotted as symbols.
}
  \item{symbol_overwrite}{
    Should the plot symbol be removed when text is being plotted at the point?
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}






