\name{ruv_projectionplot}
\alias{ruv_projectionplot}

\title{
RUV projection plot
}

\description{
Create a projection plot.
}

\usage{
ruv_projectionplot(byx, alpha, bwx, l = 1, coloring = NULL, coloring_order = NULL, symbols = NULL, texts = NULL, ...)
}

\arguments{
  \item{byx}{
    A p by n matrix of regression coefficients of Y on X.  As returned by RUV2, RUV4, etc.
}
  \item{alpha}{
    alpha, as returned by RUV2, RUV4, etc.
}
  \item{bwx}{
    bwx, as returned by RUV2, RUV4, etc.
}
  \item{l}{
    Which factor of interest to use.
}
  \item{coloring}{
    A vector of length n.  The colors to plot.
}
  \item{coloring_order}{
    The order in which different colored features should be plotted.    
}
  \item{symbols}{
    A vector of length n.  The plot symbols to use.
}
  \item{texts}{
    A vector of length n.  Any text to be used in place of symbols.  Elements that are NA are plotted as symbols.
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}




