\name{ruv_pvalplot}
\alias{ruv_pvalplot}

\title{
RUV p-value quantile-quantile plot
}

\description{
  Create a p-value quantile-quantile plot (for use in the RUV package).
}

\usage{
ruv_pvalplot(pvals, l = 1, logged = FALSE, coloring = NULL, coloring_order = NULL, symbols = NULL, texts = NULL, small_cutoff = -Inf, ...)
}
\arguments{
  \item{pvals}{
    A n-column matrix of p-values.  Each row corresponds to a factor of interest, and each column to a feature.
}
  \item{l}{
    Which factor of interest to plot.
}
  \item{logged}{
    Should the x and y axes be on a log scale?
}
  \item{coloring}{
    A vector of length n.  The colors to plot.
}
  \item{coloring_order}{
    The order in which different colored features should be plotted.
}
  \item{symbols}{
    A vector of length n.  The plot symbols to use.
}
  \item{texts}{
    A vector of length n.  Any text to be used in place of symbols.  Elements that are NA are plotted as symbols.
}
  \item{small_cutoff}{
    The smallest p-value that should be included in the plot.
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}

