\name{ruv_topprojectionplot}
\alias{ruv_topprojectionplot}

\title{
RUV top projection plot
}

\description{
  A wrapper to ruv_projectionplot that colors the top-ranked genes according to their rank.
}

\usage{
ruv_topprojectionplot(byx, alpha, bwx, pvals, l = 1, cutoffs = c(15, 40, 75, 150, 300), topcolors = c("blueviolet", "royalblue", "seagreen1", "orange", "orange4"), rankset = NULL, ...)
}

\arguments{
  \item{byx}{
    A p by n matrix of regression coefficients of Y on X.  As returned by RUV2, RUV4, etc.
}
  \item{alpha}{
    alpha, as returned by RUV2, RUV4, etc.
}
  \item{bwx}{
    bwx, as returned by RUV2, RUV4, etc.
}
  \item{pvals}{
    A p by n matrix of p-values.  As returned by RUV2, RUV4, etc. or variance_adjust.
}
  \item{l}{
    Which factor of interest to use.
}
  \item{cutoffs}{
    The cutoffs (of the ranks) for the different colors.
}
  \item{topcolors}{
    The colors to use.
}
  \item{rankset}{
    The genes to be considered when determining which are top-ranked.  A logical vector.  NULL implies all genes.
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}



