\name{ruv_toprankcount}
\alias{ruv_toprankcount}

\title{
RUV top rank count
}

\description{
Generates a row vector recording the number of highly-ranked positive controls for various rank thresholds.
}

\usage{
ruv_toprankcount(pvals, pctl, thresholds, l = 1)
}

\arguments{
  \item{pvals}{
    A p by n matrix of p-values.  As returned by RUV2, RUV4, etc. or variance_adjust.
}
  \item{pctl}{
    A boolean vector of length n specifying which features are positive controls.
}
  \item{thresholds}{
    Which top-rank thresholds to use.
}
  \item{l}{
    Which factor of interest to use.
}
}

\value{
A row vector recording the number of highly-ranked positive controls for various rank thresholds.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}


