\name{ruv_topvarianceplot}
\alias{ruv_topvarianceplot}

\title{
RUV top variance plot
}

\description{
A wrapper to ruv_varianceplot that colors the top-ranked genes according to their rank.
}

\usage{
ruv_topvarianceplot(fit, pvals, varbetahat = NULL, trans = fourthroot, l = 1, cutoffs = c(15, 40, 75, 150, 300), topcolors = c("blueviolet", "royalblue", "seagreen1", "orange", "orange4"), xlab = "trans(sigma^2 hat)", ylab = "trans(betahat^2)", rankset = NULL, ...)
}

\arguments{
  \item{fit}{
    A model fit as returned by RUV2, RUV4, etc. or variance_adjust.
}
  \item{pvals}{
    A p by n matrix of p-values.  As returned by RUV2, RUV4, etc. or variance_adjust.
}
  \item{varbetahat}{
    Estimates of the variance of beta hat, as returned by variance_adjust.
}
  \item{trans}{
    A function by which to transform the variances.
}
  \item{l}{
    Which factor of interest to use.
}
  \item{cutoffs}{
    The cutoffs (of the ranks) for the different colors.
}
  \item{topcolors}{
    The colors to use.
}
  \item{rankset}{
    The genes to be considered when determining which are top-ranked.  A logical vector.  NULL implies all genes.
}
  \item{xlab}{
    The x-axis label.
}
  \item{ylab}{
    The y-axis label.
}
  \item{\dots}{
    Any other graphical parameters.
}
}


\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}


