\name{ruv_varianceplot}
\alias{ruv_varianceplot}

\title{
RUV variance plot
}

\description{
Creates a plot of the squares of beta hat against estimates of sigma squared.
}

\usage{
ruv_varianceplot(fit, varbetahat = NULL, trans = fourthroot, l = 1, coloring = NULL, coloring_order = NULL, symbols = NULL, texts = NULL, xlab = "trans(sigma^2 hat)", ylab = "trans(betahat^2)", ...)
}

\arguments{
  \item{fit}{
    A model fit as returned by RUV2, RUV4, etc. or variance_adjust.
}
  \item{varbetahat}{
    Estimates of the variance of beta hat, as returned by variance_adjust.
}
  \item{trans}{
    A function by which to transform the variances.
}
  \item{l}{
    Which factor of interest to use.
}
  \item{coloring}{
    A vector of length n.  The colors to plot.
}
  \item{coloring_order}{
    The order in which different colored features should be plotted.
}
  \item{symbols}{
    A vector of length n.  The plot symbols to use.
}
  \item{texts}{
    A vector of length n.  Any text to be used in place of symbols.  Elements that are NA are plotted as symbols.
}
  \item{xlab}{
    The x-axis label.
}
  \item{ylab}{
    The y-axis label.
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}



